Registros
Listar registros
Recorre los registros de un tablero con paginación por cursor.
GET
/
databases
/
{databaseId}
/
records
Listar registros
curl --request GET \
--url https://api.insuranceboosters.com/api/v1/databases/{databaseId}/records \
--header 'x-ib-api-key: <api-key>'import requests
url = "https://api.insuranceboosters.com/api/v1/databases/{databaseId}/records"
headers = {"x-ib-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-ib-api-key': '<api-key>'}};
fetch('https://api.insuranceboosters.com/api/v1/databases/{databaseId}/records', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET', headers: {'x-ib-api-key': '<api-key>'}};
fetch('https://api.insuranceboosters.com/api/v1/databases/{databaseId}/records', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.insuranceboosters.com/api/v1/databases/{databaseId}/records';
const options = {method: 'GET', headers: {'x-ib-api-key': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.insuranceboosters.com/api/v1/databases/{databaseId}/records")
.header("x-ib-api-key", "<api-key>")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.insuranceboosters.com/api/v1/databases/{databaseId}/records");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("x-ib-api-key", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
using RestSharp;
var options = new RestClientOptions("https://api.insuranceboosters.com/api/v1/databases/{databaseId}/records");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("x-ib-api-key", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.insuranceboosters.com/api/v1/databases/{databaseId}/records"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-ib-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}require 'uri'
require 'net/http'
url = URI("https://api.insuranceboosters.com/api/v1/databases/{databaseId}/records")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-ib-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.insuranceboosters.com/api/v1/databases/{databaseId}/records",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-ib-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}val client = OkHttpClient()
val request = Request.Builder()
.url("https://api.insuranceboosters.com/api/v1/databases/{databaseId}/records")
.get()
.addHeader("x-ib-api-key", "<api-key>")
.build()
val response = client.newCall(request).execute()falseimport Foundation
let url = URL(string: "https://api.insuranceboosters.com/api/v1/databases/{databaseId}/records")!
var request = URLRequest(url: url)
request.httpMethod = "GET"
request.timeoutInterval = 10
request.allHTTPHeaderFields = ["x-ib-api-key": "<api-key>"]
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))$headers=@{}
$headers.Add("x-ib-api-key", "<api-key>")
$response = Invoke-WebRequest -Uri 'https://api.insuranceboosters.com/api/v1/databases/{databaseId}/records' -Method GET -Headers $headers{
"records": [
{
"id": "<string>",
"databaseId": "<string>",
"values": {},
"createdAt": 123,
"updatedAt": 123,
"createdBy": "<string>",
"updatedBy": "<string>"
}
],
"total": 123,
"hasMore": true,
"included": {},
"meta": {}
}{
"message": "<string>",
"error": "<string>"
}{
"message": "<string>",
"error": "<string>"
}{
"message": "<string>",
"error": "<string>"
}{
"message": "<string>",
"error": "<string>"
}Lista los registros de un tablero con paginación por cursor.
Respuesta exitosa (
Si
Endpoint
GET /databases/{databaseId}/records
Parámetros de consulta
| Parámetro | Tipo | Default | Descripción | |
|---|---|---|---|---|
limit | integer | 50 | Resultados por página. Debe ser mayor que 0; máximo efectivo 1000. | |
lastRecordId | string | — | ID del último registro de la página anterior. | |
sortBy | `createdAt | updatedAt` | updatedAt | Campo de orden. |
sortDirection | `asc | desc` | desc | Dirección del orden. |
include | relations | — | Incluye vistas resumidas de relaciones y contactos. |
Ejemplo de solicitud
curl "https://api.insuranceboosters.com/api/v1/databases/{databaseId}/records?limit=50&sortBy=updatedAt&sortDirection=desc" \
-H "x-ib-api-key: TU_API_KEY"
Respuesta exitosa (200)
{
"records": [
{
"id": "<record-id>",
"databaseId": "<database-id>",
"values": {
"numeroPoliza": "POL-1001",
"prima": 1450.5,
"estado": "vigente"
},
"createdAt": 1720000000000,
"updatedAt": 1720000000000
}
],
"total": 1,
"hasMore": false
}
hasMore es true, toma el id del último elemento de records y envíalo como lastRecordId en la siguiente solicitud. Conserva el mismo orden durante toda la paginación.
Cuando usas include=relations, la respuesta también puede incluir included y meta con los valores visibles de los registros relacionados.
Errores frecuentes
| HTTP | Qué significa | Qué hacer |
|---|---|---|
400 | limit no es un entero positivo. | Corrige el parámetro. |
404 | El tablero no existe. | Confirma databaseId. |
500 | No fue posible listar los registros. | Reintenta; si continúa, contacta soporte. |
Authorizations
API key de Insurance Boosters.
Path Parameters
ID del tablero.
Query Parameters
Cantidad máxima de registros.
Required range:
1 <= x <= 1000ID del último registro de la página anterior.
Fecha usada para ordenar.
Available options:
createdAt, updatedAt Dirección del orden.
Available options:
asc, desc Usa relations para incluir vistas resumidas de relaciones y contactos.
Available options:
relations Was this page helpful?
Listar registros

